Status Products / Status Queues / Status Commands

Returns import states for a product.

Used in the admin interface for showing last successful import as well as pre and post db imports.

This is an internal route and doesn’t necessarily follow API versioning.

get
https://api.migros.ch/migros/products/v8/status/import/products/{id}

Path Parameters

idstringrequired

Resource ID or slug (if available).

Response

200

Returned when successful

get/migros/products/v8/status/import/products/{id}
 
200

Status Commands

Shows an overview of the latest command runs.

It specifies the maximum number of resources that can be fetched at once.

get
https://api.migros.ch/migros/products/v8/status/commands

Query Parameters

start_datestring(date-time)

Shows only runs that started after this date (if not set, it’s set to two days ago)

modified_datestring(date-time)

Shows only runs that were modified after this date

statestring

Filtering by state of the command runs

Allowed values:runningsuccessfulcrashed

commandstring

Filtering by the name of the command

parentstring

Given a UUID it will only show the children of that command run. If ‘1’ is given it only shows command runs without any parent.

automated_jobboolean

Filter on automated or manual jobs. If not specified, both types are returned.

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 1000

offsetinteger

Result set offset.

Default:0

>= 0

Response

Returned when successful

get/migros/products/v8/status/commands
 

Shows information about the specified run, including its children the parents.

This is an internal route and doesn’t necessarily follow API versioning.

get
https://api.migros.ch/migros/products/v8/status/commands/{id}

Path Parameters

idstringrequired

Response

200

Returned when successful

get/migros/products/v8/status/commands/{id}
 
200